;InnoSetupVersion=2.0.11

[Setup]
AppName=EXEsafe
AppVerName=EXEsafe version 2
AppId=EXEsafe
AppPublisher=TBYsoftware
AppPublisherURL=http://www.tbysoftware.com/
AppSupportURL=http://www.tbysoftware.com/
AppUpdatesURL=http://www.tbysoftware.com/
DefaultDirName={pf}\EXEsafe
DefaultGroupName=EXEsafe
OutputBaseFilename=setup
Compression=zip
PrivilegesRequired=none
ChangesAssociations=yes
LicenseFile=embedded\License.txt
InfoBeforeFile=embedded\InfoBefore.rtf
WizardImageFile=embedded\WizardImage0.bmp
WizardSmallImageFile=embedded\WizardSmallImage0.bmp

[Files]
Source: "{app}\exesafe.exe"; DestDir: "{app}"; 
Source: "{app}\license.txt"; DestDir: "{app}"; 
Source: "{app}\help.txt"; DestDir: "{app}"; 
Source: "{app}\help.chm"; DestDir: "{app}"; 
Source: "{app}\lock.src"; DestDir: "{app}"; 
Source: "{app}\prog.src"; DestDir: "{app}"; 
Source: "{app}\tips.txt"; DestDir: "{app}"; 
Source: "{app}\burpcomp.exe"; DestDir: "{app}"; 
Source: "{app}\pad_file.xml"; DestDir: "{app}"; 

[Registry]
Root: HKCR; Subkey: "{reg:HKCR\.exe,|.exe}\shell\Lock"; Flags: uninsdeletekey 
Root: HKCR; Subkey: "{reg:HKCR\.exe,|.exe}\shell\Lock\command"; ValueType: String; ValueData: """{app}\exesafe.exe"" ""%1"""; 

[INI]
FileName: "{app}\exesafe.url"; Section: "InternetShortcut"; Key: "URL"; String: "http://www.tbysoftware.com"; 

[Run]
Filename: "{app}\exesafe.exe"; Description: "Launch EXEsafe"; Flags: postinstall skipifsilent nowait

[Icons]
Name: "{group}\EXEsafe"; Filename: "{app}\exesafe.exe"; 
Name: "{group}\Visit TBYsoftware"; Filename: "{app}\exesafe.url"; 
Name: "{userdesktop}\EXEsafe"; Filename: "{app}\exesafe.exe"; Tasks: desktopicon; 
Name: "{userappdata}\Microsoft\Internet Explorer\Quick Launch\EXEsafe"; Filename: "{app}\exesafe.exe"; Tasks: quicklaunchicon; 

[Tasks]
Name: "desktopicon"; Description: "Create a &desktop icon"; GroupDescription: "Additional icons:"; 
Name: "quicklaunchicon"; Description: "Create a &Quick Launch icon"; GroupDescription: "Additional icons:"; 

[UninstallDelete]
Type: files; Name: "{app}\exesafe.url"; 
